OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.FogCoord

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_fog_coord extension, see http://www.opengl.org/registry/specs/EXT/fog_coord.txt.

Synopsis

- glFogCoordf :: GLfloat -> IO ()
- glFogCoordd :: GLdouble -> IO ()
- glFogCoordfv :: Ptr GLfloat -> IO ()
- glFogCoorddv :: Ptr GLdouble -> IO ()
- glFogCoordPointer :: GLenum -> GLsizei -> Ptr a -> IO ()
- gl_FOG_COORDINATE_SOURCE :: GLenum
- gl_FOG_COORDINATE :: GLenum
- gl_FRAGMENT_DEPTH :: GLenum
- gl_CURRENT_FOG_COORDINATE :: GLenum
- gl_FOG_COORDINATE_ARRAY_TYPE :: GLenum
- gl_FOG_COORDINATE_ARRAY_STRIDE :: GLenum
- gl_FOG_COORDINATE_ARRAY_POINTER :: GLenum
- gl_FOG_COORDINATE_ARRAY :: GLenum

# Functions

glFogCoordf :: GLfloat -> IO ()

glFogCoordd :: GLdouble -> IO ()

glFogCoordfv :: Ptr GLfloat -> IO ()

glFogCoorddv :: Ptr GLdouble -> IO ()

glFogCoordPointer :: GLenum -> GLsizei -> Ptr a -> IO ()

# Tokens

gl_FOG_COORDINATE_SOURCE :: GLenum

gl_FOG_COORDINATE :: GLenum

gl_FRAGMENT_DEPTH :: GLenum

gl_CURRENT_FOG_COORDINATE :: GLenum

gl_FOG_COORDINATE_ARRAY_TYPE :: GLenum

gl_FOG_COORDINATE_ARRAY_STRIDE :: GLenum

gl_FOG_COORDINATE_ARRAY_POINTER :: GLenum

gl_FOG_COORDINATE_ARRAY :: GLenum